-- ----------------------------------------------------------------------------
-- Copyright (C) 2012 Nokia Gate5 GmbH Berlin
--
-- These coded instructions, statements, and computer programs contain
-- unpublished proprietary information of Nokia Gate5 GmbH Berlin, and
-- are copy protected by law. They may not be disclosed to third parties
-- or copied or duplicated in any form, in whole or in part, without the
-- specific, prior written permission of Nokia Gate5 GmbH Berlin.
-- ----------------------------------------------------------------------------
--      Authors: RFS, Fabian TP Riek
-- ----------------------------------------------------------------------------
--             Voice Skin: Greek TTS

description = "TTS"
gender = "m"
travel_mode = "0"    -- walk and drive 
output_type = "tts"
speaker = "Alexandros"
language = "Greek"
marc_code = "gre"
language_id = "54"
id = "54002"
config_file = "greek_tts/config_tts.lua"
audio_files_path = "greek_tts/greek_tts"
rulesets_file = "greek_tts/greek_tts/rulesets_grg.txt"
userdictionary_file = "greek_tts/greek_tts/udct_grg.dat"
apdb = "apdb/alenxandros/nm"
audio_files_version = "0.3.0.2012031601"
feature_list = { "metric", "imperial_uk", "imperial_us" }
client_range = "[ client >= 1.4.6.0 ; client < 1.7.0.0 ]"

maneuver_check = {
    ["END"] = "φτάνετε στον προορισμό σας",                             -- You will reach your destination
    ["STOPOVER"] = "φτάνετε σε ενδιάμεση στάση",                        -- You will reach a stopover
    ["JUNCTION"] = nil,                                                 -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,                                            -- the junction
    ["ROUNDABOUT"] = "στον κυκλικό κόμβο,",                             -- At the roundabout
    ["EXIT_ROUNDABOUT"] = "βγείτε στην έξοδο",                          -- take the exit
    ["UTURN"] = "κάντε αναστροφή",                                      -- Make a uturn
    ["ENTER_HIGHWAY"] = "εισέλθετε στον αυτοκινητόδρομο",
    ["LEAVE_HIGHWAY"] = "βγείτε στην έξοδο",                            -- take the exit
    ["CONTINUE_HIGHWAY"] = "βγείτε στην έξοδο",                         -- due to specifications ("take the exit")
    ["ENTER_URBAN_HIGHWAY"] = "εισέλθετε στον αυτοκινητόδρομο",
    ["LEAVE_URBAN_HIGHWAY"] = "βγείτε στην έξοδο",                      -- take the exit
    ["CONTINUE_URBAN_HIGHWAY"] = "βγείτε στην έξοδο",
    ["DRIVE_TO_NEAREST_ROAD"] = "Πηγαίνετε στον πλησιέστερο δρόμο",     -- drive to nearest road 
    ["FERRY"] = "πάρτε το φέρι-μποτ"
}

maneuver_turns_car = {
    ["NO_TURN"] = "προχωρήστε ευθεία",
    ["KEEP_MIDDLE"] = "μπείτε στη μεσαία λωρίδα",
    ["KEEP_RIGHT"] = "μείνετε δεξιά",
    ["LIGHT_RIGHT"] = "στρίψτε ελαφρώς δεξιά",
    ["QUITE_RIGHT"] = "στρίψτε δεξιά",
    ["HEAVY_RIGHT"] = "στρίψτε όλο δεξιά",
    ["RETURN"] = "κάντε αναστροφή",
    ["HEAVY_LEFT"] = "στρίψτε όλο αριστερά",
    ["QUITE_LEFT"] = "στρίψτε αριστερά",
    ["LIGHT_LEFT"] = "στρίψτε ελαφρώς αριστερά",
    ["KEEP_LEFT"] = "μείνετε αριστερά",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_pedestrian = {
    ["NO_TURN"] = "προχωρήστε ευθεία",
    ["KEEP_MIDDLE"] = "προχωρήστε ευθεία",
    ["KEEP_RIGHT"] = "στρίψτε στο δρόμο δεξιά",
    ["LIGHT_RIGHT"] = "στρίψτε ελαφρώς δεξιά",
    ["QUITE_RIGHT"] = "στρίψτε δεξιά",
    ["HEAVY_RIGHT"] = "στρίψτε όλο δεξιά",
    ["RETURN"] = "κάντε αναστροφή",
    ["HEAVY_LEFT"] = "στρίψτε όλο αριστερά",
    ["QUITE_LEFT"] = "στρίψτε αριστερά",
    ["LIGHT_LEFT"] = "στρίψτε ελαφρώς αριστερά",
    ["KEEP_LEFT"] = "στρίψτε στο δρόμο αριστερά",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

pedestrian_vc = {
    ["BUILDING"] = "διασχίστε το κτήριο",
    ["SQUARE"] = "διασχίστε την πλατεία",
    ["PARK"] = "διασχίστε το πάρκο",
    ["STAIRS"] = "χρησιμοποιήστε τις σκάλες",
    ["ELEVATOR"] = "πάρτε το ασανσέρ",
    ["ESCALATOR"] = "χρησιμοποιήστε τις σκάλες"
}

final_command = {
    ["END"] = "Φτάσατε στον προορισμό σας",                  -- You have reached your destination
    ["STOPOVER"] = "Φτάσατε σε ενδιάμεση στάση"                -- You have reached a stopover
}

exit_number_check = {
    [1] = {"βγείτε στην πρώτη έξοδο", "στρίψτε στην πρώτη οδό"},             -- take the first exit
    [2] = {"βγείτε στη δεύτερη έξοδο", "στρίψτε στη δεύτερη οδό"},           -- take the second exit
    [3] = {"βγείτε στην τρίτη έξοδο", "στρίψτε στην τρίτη οδό"},             -- take the third exit
    [4] = {"βγείτε στην τέταρτη έξοδο", "στρίψτε στην τέταρτη οδό"},         -- take the fourth exit
    [5] = {"βγείτε στην πέμπτη έξοδο", "στρίψτε στην πέμπτη οδό"},           -- take the fifth exit
    [6] = {"βγείτε στην έκτη έξοδο", "στρίψτε στην έκτη οδό"},               -- take the sixth exit
    [7] = {"βγείτε στην έβδομη έξοδο", "βγείτε στην έβδομη έξοδο"},          -- take the seventh exit
    [8] = {"βγείτε στην όγδοη έξοδο", "βγείτε στην όγδοη έξοδο"},            -- take the eighth exit
    [9] = {"βγείτε στην ένατη έξοδο", "βγείτε στην ένατη έξοδο"},            -- take the ninth exit
    [10] = {"βγείτε στη δέκατη έξοδο", "βγείτε στη δέκατη έξοδο"},           -- take the tenth exit
    [11] = {"βγείτε στην ενδέκατη έξοδο", "βγείτε στην ενδέκατη έξοδο"},     -- take the eleventh exit
    [12] = {"βγείτε στη δωδέκατη έξοδο", "βγείτε στη δωδέκατη έξοδο"}        -- take the twelfth exit
}

unit = {                        
    ["MILE"] = "μίλι",
    ["YARDS"] = "γιάρδες",
    ["FEET"] = "πόδια",
    ["KILOMETER"] = "χιλιόμετρο",
    ["METERS"] = "μέτρα",
    ["METER"] = "μέτρα",
    ["KILOMETERS"] = "χιλιόμετρα",
    ["MILES"] = "μίλια",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

orientation = {
    ["NORTH"] = "βόρεια",
    ["NORTH_EAST"] = "βορειοανατολικά",
    ["EAST"] = "ανατολικά",
    ["SOUTH_EAST"] = "νοτιοανατολικά",
    ["SOUTH"] = "νότια",
    ["SOUTH_WEST"] = "νοτιοδυτικά",
    ["WEST"] = "δυτικά",
    ["NORTH_WEST"] = "βορειοδυτικά"
}

misc = { 
    ["gps_signal_lost_wav"] = "Το σήμα GPS xάθηκε",
    ["gps_signal_restored_wav"] = "Επανασύνδεση GPS",
 --   ["no_gps_signal_wav"] = "Δεν υπάρχει σήμα GPSl",
    ["route_recalculation_wav"] = "Επανυπολογισμός διαδρομής",
    ["now_wav"] = "Τώρα",
    ["end_of_street_wav"] = "Στο τέλος του δρόμου",
    ["follow_motorway_wav"] = "Ακολουθήστε τον αυτοκινητόδρομο",
    ["follow_road_wav"] = "Ακολουθήστε την πορεία του δρόμου",
    ["for_wav"] = "για",
    ["after_wav"] = "Μετά από",
    ["after_the_junction_wav"] = "Μετά τον κόμβο",
    ["after_half_a_mile_wav"] = "Μετά από μισό μίλι",
    ["quarter_a_mile_wav"] = "ένα τέταρτο του χιλιομέτρου",
    ["three_quarter_of_mile_wav"] = "τρία τέταρτα του μιλίου",
    ["immediately_wav"] = "αμέσως",
    ["safety_camara_ahead_wav"] = "Κάμερα ασφαλείας μπροστά",
    --["over_speed_limit_wav"] = "Προσέξτε το όριο ταχύτητας",
    ["traffic_automatic_detour_wav"] = "Κυκλοφοριακή συμφόρηση στην πορεία σας, παράκαμψη",
    ["traffic_manual_detour_wav"] = "Κυκλοφοριακή συμφόρηση στην πορεία σας, θέλετε να κάνετε παράκαμψη",
    ["no_detour_possible"] = "Δεν βρέθηκε παράκαμψη από την κυκλοφοριακή συμφόρηση",
    ["and_wav"] = "και",
    ["and_then_wav"] = "και μετά",
    ["and_continue_on_wav"] = "και συνεχίστε στην",
    ["towards_wav"] = "προς",
    ["turn_wav"] = "στρίψτε",
    ["onto_wav"] = "στην",
    ["exit_wav"] = "βγείτε στην έξοδο",
    ["second_right_wav"] = "βγείτε στη δεύτερη από τα δεξιά",
    ["second_left_wav"] = "βγείτε στη δεύτερη από τα αριστερά",
    ["dot"] = ".",
    ["walk_left_roundabout_wav"] = "περπατήστε αριστερά περιμετρικά του κεντρικού κόμβου",
    ["walk_right_roundabout_wav"] = "περπατήστε δεξιά περιμετρικά του κεντρικού κόμβου",
    ["walk_roundabout_wav"] = "Περπατήστε γύρω από τον κεντρικό κόμβο",
    ["head_wav"] = "Κατευθυνθείτε",
    ["pause"] = "\\pause=50\\",
    ["on_wav"] = "στην",
    ["onto_the_footpath_wav"] = "στο μονοπάτι"
}

wav_files = { 
    ["beep_sound"] = "beep16K.wav",
	["speed_limit_beeps"] = "g5war_speed_limit_soft4edit9.wav"       
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }
keep = { ["KEEP_LEFT"] = 0, ["KEEP_RIGHT"] = 0, ["KEEP_MIDDLE"] = 0 }
highway = { ["ENTER_HIGHWAY"] = 0, ["ENTER_URBAN_HIGHWAY"] = 0, ["LEAVE_HIGHWAY"] = 0, ["LEAVE_URBAN_HIGHWAY"] = 0 }


